package com.health.consultation.service.impl;

import com.health.consultation.domain.resp.Department;
import com.health.consultation.mapper.ConMapper;
import com.health.consultation.service.ConService;
import org.eclipse.paho.client.mqttv3.MqttClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
/**
 * 咨询问诊业务逻辑层
 *
 * @author Administrator
 */
@Service
public class ConServiceImpl implements ConService {
    @Autowired
    ConMapper conMapper;
    @Autowired
    MqttClient mqttClient;



    /**
     * 获取科室列表接口：getDepartmentList()
     *
     * @return List<Department>
     */
    @Override
    public List<Department> getDepartmentList() {
        List<Department> list= conMapper.getDepartmentList();



        return list;
    }

















}
